unit Unit3;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils;

function GenerateData:String;

implementation

uses
  fpjson;

function GetDummyC:string;
begin
  Result := 'Dummy';
end;

function GetDummyI:string;
begin
  Result := IntToStr(99);
end;

function GetDummyF:string;
begin
  Result := FloatToStr(9.9);
end;

function GetDummyD:string;
begin
  Result := '1.1.2015';
end;



function GenerateData: String;
var
  JO : TJSONObject;
  JLong : TJSONArray;
  i: Integer;
begin
  Result := '';
  JLong := TJSONArray.Create;
  for i := 1 to 1000 do
  begin
    JO := TJSonObject.Create;
    JO.Add('ord_id', IntToStr(i));
    JO.Add('ord_forid', GetDummyI);
    JO.Add('ord_datum', GetDummyD);
    JO.Add('ord_firma', GetDummyC);
    JO.Add('ord_sel_anrede', GetDummyC);
    JO.Add('ord_vorname', GetDummyC);
    JO.Add('ord_nachname', GetDummyC);
    JO.Add('ord_strasse', GetDummyC);
    JO.Add('ord_plz', GetDummyC);
    JO.Add('ord_ort', GetDummyC);
    JO.Add('ord_land', GetDummyC);
    JO.Add('ord_telefon', GetDummyC);
    JO.Add('ord_fax', GetDummyC);
    JO.Add('ord_email', GetDummyC);
    JO.Add('ord_internet', GetDummyC);
    JO.Add('ord_lieffirma', GetDummyC);
    JO.Add('ord_liefsel_anrede', GetDummyC);
    JO.Add('ord_liefvorname', GetDummyC);
    JO.Add('ord_liefnachname', GetDummyC);
    JO.Add('ord_liefstrasse', GetDummyC);
    JO.Add('ord_liefplz', GetDummyC);
    JO.Add('ord_liefort', GetDummyC);
    JO.Add('ord_liefland', GetDummyC);
    JO.Add('ord_lieftelefon', GetDummyC);
    JO.Add('ord_lieffax', GetDummyC);
    JO.Add('ord_liefemail', GetDummyC);
    JO.Add('ord_liefinternet', GetDummyC);
    JO.Add('ord_bemerkung1', GetDummyC);
    JO.Add('ord_bemerkung2', GetDummyC);
    JO.Add('ord_bemerkung3', GetDummyC);
    JO.Add('ord_rabatt', GetDummyF);
    JO.Add('AUFSKONTO', GetDummyF);
    JO.Add('AUFLIEFVERWENDEN', GetDummyI);
    JO.Add('AUFSTEUER', GetDummyF);
    JO.Add('AUFSKONTOTAGE', GetDummyI);
    JO.Add('AUFSTEUERVERWENDEN', GetDummyI);
    JO.Add('AUFRABATTBETRAG', GetDummyF);
    JO.Add('AUFZAHLFRISTEN', GetDummyC);
    JO.Add('ord_rabattverwenden', GetDummyI);
    JO.Add('AUFSKONTOVERWENDEN', GetDummyI);
    JO.Add('ord_versandkosten', GetDummyF);
    JO.Add('AUFVERSANDART', GetDummyC);
    JO.Add('ord_bestellung', GetDummyC);
    JO.Add('ord_rechnung', GetDummyC);
    JO.Add('ord_vermerke', GetDummyC);
    JO.Add('ord_gesgewicht', GetDummyF);
    JO.Add('ord_bemerkungen', GetDummyC);
    JO.Add('ord_status', GetDummyI);
    JO.Add('ord_adresse', GetDummyC);
    JO.Add('ord_liefadresse', GetDummyC);
    JLong.Add(JO.Clone);
    JO.Free;
  end;
  Result := JLong.AsJSON;
  JLong.Free;
end;

end.

